Get all models
get
/fscmRestApi/resources/11.13.18.05/supplierQualificationModels
Request
Query Parameters
-
effectiveDate: string
This query parameter is used to fetch resources which are effective dated as of the specified start date. The value of this query parameter is a string having a date in yyyy-MM-dd format
-
expand: string
When this parameter is provided, the specified children are included in the resource payload (instead of just a link). The value of this query parameter is "all" or "". More than one child can be specified using comma as a separator. Example: ?expand=Employees,Localizations. Nested children can also be provided following the format "Child.NestedChild" (Example: ?expand=Employees.Managers). If a nested child is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?expand=Employees.Managers" is the same as "?expand=Employees,Employees.Managers" (which will expand Employees and Managers).
-
fields: string
This parameter filters the resource fields. Only the specified fields are returned, which means that if no fields are specified, no fields are returned (useful to get only the links). If an indirect child resource is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?fields=Employees.Managers:Empname" is the same as "?fields=;Employees:;Employees.Managers:Empname" (which will only return the "Empname" field for Managers). the value of this query parameter is a list of resource fields. The attribute can be a direct (Example: Employees) or indirect (Example: Employees.Managers) child. It cannot be combined with expand query parameter. If both are provided, only fields will be considered.
Format: ?fields=Attribute1,Attribute2
Format for fields in child resource: ?fields=Accessor1:Attribute1,Attribute2 -
finder: string
Used as a predefined finder to search the collection.
Format ?finder=<finderName>;<variableName>=<variableValue>,<variableName2>=<variableValue2>
The following are the available finder names and corresponding finder variables- PrimaryKey Finds unique models based on the model identifier.
Finder Variables- QualModelId; integer; Value that uniquely identifies the model.
- findByProcurementBUId Models in supplier qualification management, along with the underlying qualifications. You must have the necessary roles and privileges to use this REST resource. For additional details, refer to the Job Roles and Privileges and Status Codes topics.
Finder Variables- b_PrcBUId; integer; Models in supplier qualification management, along with the underlying qualifications. You must have the necessary roles and privileges to use this REST resource. For additional details, refer to the Job Roles and Privileges and Status Codes topics.
- PrimaryKey Finds unique models based on the model identifier.
-
limit: integer
This parameter restricts the number of resources returned inside the resource collection. If the limit exceeds the resource count then the framework will only return the available resources.
-
links: string
This parameter can be used to show only certain links while accessing a singular resource or a resource collection. The parameter value format is a comma-separated list of : <link_relation>
Example:
self,canonical -
offset: integer
Used to define the starting position of the resource collection. If offset exceeds the resource count then no resources are returned. Default value is 0.
-
onlyData: boolean
The resource item payload will be filtered in order to contain only data (no links section, for example).
-
orderBy: string
This parameter orders a resource collection based on the specified fields. The parameter value is a comma-separated string of attribute names, each optionally followed by a colon and "asc" or "desc". Specify "asc" for ascending and "desc" for descending. The default value is "asc". For example, ?orderBy=field1:asc,field2:desc
-
q: string
This query parameter defines the where clause. The resource collection will be queried using the provided expressions. The value of this query parameter is one or more expressions. Example: ?q=Deptno>=10 and <= 30;Loc!=NY
Format: ?q=expression1;expression2
You can use these queryable attributes to filter this collection resource using the q query parameter:- ActivationDate; string; Date and time when the model is activated.
- AssessmentOwnerId; integer; Value that uniquely identifies the owner of the model.
- AutoEvaluateAssessmentFlag; boolean; Contains one of the following values: true or false. If true, the assessment created based on the qualification model will be automatically evaluated. If false, automatic evaluation is disabled. The default value is false.
- DefaultAssessmtOwnerFlag; boolean; Contains one of the following values: true or false. If true, the model's default owner becomes the assessment owner. The default value is false.
- EnableScoringFlag; boolean; Contains one of the following values: true or false. If true, scoring is enabled on the qualification model. If false, scoring isn't enabled. The default value is false.
- ExpirationReminderPeriod; integer; Period during which the application alerts the owner about the expiration of an assessment.
- ExpirationReminderType; string; Unit of time to indicate days, weeks, or months.
- ExpirationReminderTypeCode; string; Unit of time to indicate days, weeks, or months.
- GlobalFlag; boolean; Contains one of the following values: true or false. If true, the setup object is globally accessible by all procurement business units. If false, the setup object isn't globally accessible. The default value is false.
- HasInactiveQualAreasFlag; boolean; Contains one of the following values: true or false. If true, the qualification model contains an inactive qualification area.
- HasInactiveQuestionsFlag; boolean; Contains one of the following values: true or false. If true, the qualification model contains a qualification area with an inactive question.
- LatestRevisionFlag; boolean; Contains one of the following values: true or false. If true, the qualification area revision is the most recent. If false, the revision of the question isn't the latest. The default value is false.
- NoteToSupplier; string; Value indicating a note to the supplier about the assessment.
- OriginalQualModelId; integer; Value that uniquely identifies the original model.
- Owner; string; Name of the person who owns the qualification model.
- OwnerId; integer; Value that uniquely identifies the owner of the model.
- ProcurementBU; string; Value that uniquely identifies the owner of the model.
- ProcurementBUId; integer; Value that uniquely identifies the owning procurement business unit.
- QualModel; string; Name of the qualification model.
- QualModelDescription; string; Description of the qualification model.
- QualModelId; integer; Value that uniquely identifies the model.
- QualModelLevel; string; Models in supplier qualification management, along with the underlying qualifications. You must have the necessary roles and privileges to use this REST resource. For additional details, refer to the Job Roles and Privileges and Status Codes topics.
- QualModelLevelCode; string; Models in supplier qualification management, along with the underlying qualifications. You must have the necessary roles and privileges to use this REST resource. For additional details, refer to the Job Roles and Privileges and Status Codes topics.
- QualModelUsageCode; string; Value that uniquely identifies whether the record is for a qualification model or checklist.
- ReassessQualificationFlag; boolean; Contains one of the following values: true or false. If true, the assessment needs to be reassessed upon the creation of a new qualification. The default value is false.
- Revision; integer; Number that identifies the revision of this model. Revision 0 is the base revision.
- ShareEligibilityFlag; boolean; Models in supplier qualification management, along with the underlying qualifications. You must have the necessary roles and privileges to use this REST resource. For additional details, refer to the Job Roles and Privileges and Status Codes topics.
- ShowAssessmentQualFlag; boolean; Contains one of the following values: true or false. If true, the assessment's qualifications are shared with the supplier along with the assessment details. The default value is false.
- ShowAssessmtToSuppFlag; boolean; Contains one of the following values: true or false. If true, the response summary is shared with the corresponding supplier. If false, it's not shared. The default value is false.
- SourcingEligibilityFlag; boolean; Models in supplier qualification management, along with the underlying qualifications. You must have the necessary roles and privileges to use this REST resource. For additional details, refer to the Job Roles and Privileges and Status Codes topics.
- Status; string; Status of the model.
- StatusCode; string; Abbreviation that identifies the status of the model. A list of accepted values is defined in the lookup type POQ_QUAL_MODEL_STATUS. Review the values for this attribute using the Setup and Maintenance work area and the Manage Standard Lookups task.
-
totalResults: boolean
The resource collection representation will include the "estimated row count" when "?totalResults=true", otherwise the count is not included. The default value is "false".
Header Parameters
-
Effective-Of: string
This header accepts a string value. The string is a semi-colon separated list of
= . It is used to perform effective date range operations. The accepted parameters are RangeMode, RangeSpan, RangeStartDate, RangeEndDate, RangeStartSequence and RangeEndSequence. The parameter values are always strings. The possible values for RangeMode are SET_LOGICAL_START, SET_LOGICAL_END, END_DATE, SET_EFFECTIVE_START, SET_EFFECTIVE_END, REPLACE_CORRECTION, REPLACE_UPDATE, RECONCILE_CORRECTION, CORRECTION, RECONCILE_UPDATE, UPDATE, ZAP and DELETE_CHANGES. The possible values for RangeSpan are PHYSICAL_ROW_END_DATE and LOGICAL_ROW_END_DATE. The values for RangeStartDate and RangeEndDate have to be a string representation of a date in yyyy-MM-dd format. The value for RangeStartSequence and RangeEndSequence must be strings such that when parsed they yield positive integers. -
Metadata-Context: string
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version: string
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
Default Response
The following table describes the default response for this task.
Headers
-
Metadata-Context:
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version:
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Root Schema : supplierQualificationModels
Type:
Show Source
object-
count(required): integer
The number of resource instances returned in the current range.
-
hasMore(required): boolean
Indicates whether more resources are available on the server than the subset returned in the response. If the value is true, then there are more resources to retrieve from the server. The default value is false.
-
items: array
Items
Title:
ItemsThe items in the collection. -
limit(required): integer
The actual paging size used by the server.
-
links(required): array
Links
Title:
LinksThe link relations associated with the resource instance. -
offset(required): integer
The offset value used in the current page.
-
totalResults: integer
The estimated row count when "?totalResults=true", otherwise the count is not included.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : supplierQualificationModels-item-response
Type:
Show Source
object-
ActivationDate: string
(date-time)
Date and time when the model is activated.
-
AssessmentOwnerId: integer
(int64)
Value that uniquely identifies the owner of the model.
-
AutoEvaluateAssessmentFlag: boolean
Maximum Length:
1Contains one of the following values: true or false. If true, the assessment created based on the qualification model will be automatically evaluated. If false, automatic evaluation is disabled. The default value is false. -
DefaultAssessmtOwnerFlag: boolean
Maximum Length:
1Contains one of the following values: true or false. If true, the model's default owner becomes the assessment owner. The default value is false. -
EnableScoringFlag: boolean
Maximum Length:
1Contains one of the following values: true or false. If true, scoring is enabled on the qualification model. If false, scoring isn't enabled. The default value is false. -
ExpirationReminderPeriod: integer
(int32)
Period during which the application alerts the owner about the expiration of an assessment.
-
ExpirationReminderType: string
Title:
MeaningRead Only:trueMaximum Length:80Unit of time to indicate days, weeks, or months. -
ExpirationReminderTypeCode: string
Maximum Length:
30Unit of time to indicate days, weeks, or months. -
GlobalFlag: boolean
Maximum Length:
1Default Value:falseContains one of the following values: true or false. If true, the setup object is globally accessible by all procurement business units. If false, the setup object isn't globally accessible. The default value is false. -
HasInactiveQualAreasFlag: boolean
Read Only:
trueMaximum Length:255Contains one of the following values: true or false. If true, the qualification model contains an inactive qualification area. -
HasInactiveQuestionsFlag: boolean
Read Only:
trueMaximum Length:255Contains one of the following values: true or false. If true, the qualification model contains a qualification area with an inactive question. -
LatestRevisionFlag: boolean
Maximum Length:
1Default Value:trueContains one of the following values: true or false. If true, the qualification area revision is the most recent. If false, the revision of the question isn't the latest. The default value is false. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
NoteToSupplier: string
Maximum Length:
1000Value indicating a note to the supplier about the assessment. -
OriginalQualModelId: integer
(int64)
Value that uniquely identifies the original model.
-
outcomes: array
Qualification Models
Title:
Qualification ModelsModels in supplier qualification management, along with the underlying qualifications. You must have the necessary roles and privileges to use this REST resource. For additional details, refer to the Job Roles and Privileges and Status Codes topics. -
Owner: string
Title:
NameRead Only:trueMaximum Length:240Name of the person who owns the qualification model. -
OwnerId: integer
(int64)
Value that uniquely identifies the owner of the model.
-
ProcurementBU: string
Title:
OrganizationRead Only:trueMaximum Length:240Value that uniquely identifies the owner of the model. -
ProcurementBUId: integer
(int64)
Value that uniquely identifies the owning procurement business unit.
-
QualModel: string
Maximum Length:
80Name of the qualification model. -
QualModelDescription: string
Maximum Length:
240Description of the qualification model. -
QualModelId: integer
(int64)
Read Only:
trueValue that uniquely identifies the model. -
QualModelLevel: string
Title:
MeaningRead Only:trueMaximum Length:80Models in supplier qualification management, along with the underlying qualifications. You must have the necessary roles and privileges to use this REST resource. For additional details, refer to the Job Roles and Privileges and Status Codes topics. -
QualModelLevelCode: string
Maximum Length:
30Default Value:SUPPLIERModels in supplier qualification management, along with the underlying qualifications. You must have the necessary roles and privileges to use this REST resource. For additional details, refer to the Job Roles and Privileges and Status Codes topics. -
QualModelUsageCode: string
Maximum Length:
30Value that uniquely identifies whether the record is for a qualification model or checklist. -
ReassessQualificationFlag: boolean
Maximum Length:
1Default Value:falseContains one of the following values: true or false. If true, the assessment needs to be reassessed upon the creation of a new qualification. The default value is false. -
Revision: integer
(int32)
Default Value:
0Number that identifies the revision of this model. Revision 0 is the base revision. - ShareEligibilityFlag: boolean
-
ShowAssessmentQualFlag: boolean
Maximum Length:
1Contains one of the following values: true or false. If true, the assessment's qualifications are shared with the supplier along with the assessment details. The default value is false. -
ShowAssessmtToSuppFlag: boolean
Maximum Length:
1Contains one of the following values: true or false. If true, the response summary is shared with the corresponding supplier. If false, it's not shared. The default value is false. -
SourcingEligibilityFlag: boolean
Maximum Length:
1Default Value:falseModels in supplier qualification management, along with the underlying qualifications. You must have the necessary roles and privileges to use this REST resource. For additional details, refer to the Job Roles and Privileges and Status Codes topics. -
Status: string
Title:
MeaningRead Only:trueMaximum Length:80Status of the model. -
StatusCode: string
Maximum Length:
30Default Value:DRAFTAbbreviation that identifies the status of the model. A list of accepted values is defined in the lookup type POQ_QUAL_MODEL_STATUS. Review the values for this attribute using the Setup and Maintenance work area and the Manage Standard Lookups task.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : Qualification Models
Type:
arrayTitle:
Qualification ModelsModels in supplier qualification management, along with the underlying qualifications. You must have the necessary roles and privileges to use this REST resource. For additional details, refer to the Job Roles and Privileges and Status Codes topics.
Show Source
Nested Schema : link
Type:
Show Source
object-
href: string
Title:
hyperlink referenceThe URI to the related resource. -
kind: string
Title:
kindAllowed Values:[ "collection", "item", "describe", "other" ]The kind of the related resource. -
name: string
Title:
nameThe name of the link to the related resource. -
properties: object
properties
-
rel: string
Title:
relationAllowed Values:[ "self", "lov", "parent", "canonical", "child", "enclosure", "action", "custom" ]The name of the relation to the resource instance. Example: self.
Nested Schema : properties
Type:
Show Source
object-
changeIndicator: string
Change indicator or the ETag value of the resource instance.
Nested Schema : supplierQualificationModels-outcomes-item-response
Type:
Show Source
object-
DisplaySequence: integer
(int32)
Models in supplier qualification management, along with the underlying qualifications. You must have the necessary roles and privileges to use this REST resource. For additional details, refer to the Job Roles and Privileges and Status Codes topics.
-
FromScore: number
Models in supplier qualification management, along with the underlying qualifications. You must have the necessary roles and privileges to use this REST resource. For additional details, refer to the Job Roles and Privileges and Status Codes topics.
-
KnockoutOutcomeFlag: boolean
Maximum Length:
1Models in supplier qualification management, along with the underlying qualifications. You must have the necessary roles and privileges to use this REST resource. For additional details, refer to the Job Roles and Privileges and Status Codes topics. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
NotificationFlag: boolean
Maximum Length:
1Models in supplier qualification management, along with the underlying qualifications. You must have the necessary roles and privileges to use this REST resource. For additional details, refer to the Job Roles and Privileges and Status Codes topics. -
OutcomeName: string
Maximum Length:
80Models in supplier qualification management, along with the underlying qualifications. You must have the necessary roles and privileges to use this REST resource. For additional details, refer to the Job Roles and Privileges and Status Codes topics. -
QualModelId: integer
(int64)
Models in supplier qualification management, along with the underlying qualifications. You must have the necessary roles and privileges to use this REST resource. For additional details, refer to the Job Roles and Privileges and Status Codes topics.
-
QualModelOutcomeId: integer
(int64)
Models in supplier qualification management, along with the underlying qualifications. You must have the necessary roles and privileges to use this REST resource. For additional details, refer to the Job Roles and Privileges and Status Codes topics.
-
SourcingEligibilityCode: string
Maximum Length:
30Models in supplier qualification management, along with the underlying qualifications. You must have the necessary roles and privileges to use this REST resource. For additional details, refer to the Job Roles and Privileges and Status Codes topics. -
ToScore: number
Models in supplier qualification management, along with the underlying qualifications. You must have the necessary roles and privileges to use this REST resource. For additional details, refer to the Job Roles and Privileges and Status Codes topics.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source